Bug 802528

Summary: bundle create destination wizard spits out error when searching for group name
Product: [Other] RHQ Project Reporter: John Mazzitelli <mazz>
Component: Core UIAssignee: Mike Thompson <mithomps>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: low Docs Contact:
Priority: high    
Version: 4.3CC: hrupp, mithomps, skondkar
Target Milestone: ---   
Target Release: JON 3.1.0   
Hardware: Unspecified   
OS: Unspecified   
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-09-03 11:09:10 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 735475, 782579    

Description John Mazzitelli 2012-03-12 14:25:39 EDT
1. Upload a new bundle
2. Select the bundle in the main bundles list and click "Deploy"
3. In the Resource Group field, type a single letter

Notice you get a red exception in the message center, though I think this still works. What should happen is typing in this field does a search - if you type "p", the drop down list of groups will only show those groups that have a "p" in them. But why are we getting a red error message?

I won't post the stack trace, because it's useless (its obfuscated).
Comment 1 John Mazzitelli 2012-04-16 17:03:49 EDT
bug #804131 also shows the same issue, only in a different place. looks like it might be a smartgwt rendering bug when rendering LinkItems.
Comment 2 John Mazzitelli 2012-04-16 17:04:34 EDT
(ignore that last comment - wrong BZ)
Comment 3 John Mazzitelli 2012-04-17 12:08:59 EDT
git commit to master c954202
this only partially fixes this. I think this is another fallout to the smartgwt upgrade, because this worked before.  This commit fixes the problem where the partial name entered in the combox box is a string but we were trying to convert it to an int. Now that that is circumvented, there is a second problem - somewhere deep we are getting what appears to be a NPE. So the replication procedures are the same, however, the red error you see is now a global exception. Stack is as follows:

com.google.gwt.core.client.JavaScriptException:(null): null
(null): null
   at com.google.gwt.dev.shell.BrowserChannelServer.invokeJavascript(BrowserChannelServer.java:248)
   at com.google.gwt.dev.shell.ModuleSpaceOOPHM.doInvoke(ModuleSpaceOOPHM.java:136)
   at com.google.gwt.dev.shell.ModuleSpace.invokeNative(ModuleSpace.java:561)
   at com.google.gwt.dev.shell.ModuleSpace.invokeNativeVoid(ModuleSpace.java:289)
   at com.google.gwt.dev.shell.JavaScriptHost.invokeNativeVoid(JavaScriptHost.java:107)
   at com.smartgwt.client.data.DataSource.processResponse(DataSource.java)
   at org.rhq.enterprise.gui.coregui.client.util.RPCDataSource.processResponse(RPCDataSource.java:258)
   at org.rhq.enterprise.gui.coregui.client.inventory.groups.ResourceGroupsDataSource$1.onSuccess(ResourceGroupsDataSource.java:112)
   at org.rhq.enterprise.gui.coregui.client.inventory.groups.ResourceGroupsDataSource$1.onSuccess(ResourceGroupsDataSource.java:1)
   at com.google.gwt.user.client.rpc.impl.RequestCallbackAdapter.onResponseReceived(RequestCallbackAdapter.java:232)
Comment 4 Charles Crouch 2012-05-01 19:06:24 EDT
We should investigate this further
Comment 5 Mike Thompson 2012-05-10 17:11:02 EDT
master commit: 9431e3b

Ok, this is a weird one as two days ago I was able to consistently reproduce this bug. Today, however it has magically gone away. I have tried different version of firefox; dev mode vs web mode and am unable to reproduce now. I'm assuming that some other fix on the backend fixed this issue.

So we don't know what commit fixed this; just that it was sometime before 9431e3b.
Comment 6 Charles Crouch 2012-05-11 10:52:18 EDT
I just want to double check that nothing that went into master but hasn't gone into the release branch addressed this issue. Can you verify that you can't reproduce this issue on the JON3.1 ER3 build which is due out this morning.
Comment 7 Mike Thompson 2012-05-17 10:36:20 EDT
I verified that this got into JON 3.1 ER3 on 5/11/2012.
Comment 8 Sunil Kondkar 2012-05-21 05:30:25 EDT
Verified on Version: 3.1.0.ER4 Build Number: 1783b86:2b8d25d

No exception is observed while entering the letters in Resource Group field on the bundle deployment wizard. It displays the resource groups in the dropdown.
Comment 9 Heiko W. Rupp 2013-09-03 11:09:10 EDT
Bulk closing of old issues in VERIFIED state.